Package x2go :: Module printactions :: Class X2GoPrintAction

[frames] | no frames]

# Class X2GoPrintAction

source code

    object --+
             |
            X2GoPrintAction

Known Subclasses:
  - X2GoPrintActionDIALOG
  - , X2GoPrintActionPDFSAVE
  - , X2GoPrintActionPDFVIEW
  - , X2GoPrintActionPRINT
  - , X2GoPrintActionPRINTCMD

Instance Methods

__init__(self, client_instance=None, logger=None, loglevel=56) This is a meta class and has no functionality as such. | source code

do_print(self, pdf_file, job_title, spool_dir) Wrap around the actual print action (`self._do_print`) with gevent.spawn(). | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __name__ = ``'``NAME``'``
| __description__ = ``'``DESCRIPTION``'``

Properties
| name Return the X2Go print action's name.
| description Return the X2Go print action's description text.
Inherited from `object`: `__class__`

Method Details

### __init__(self, client_instance=None, logger=None, loglevel=56)
(Constructor)

source code

This is a meta class and has no functionality as such. It is used as parent class by »real« X2Go print actions.

Parameters:
  - `client_instance` (`obj`) - the underlying X2GoClient instance
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoPrintAction constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

### do_print(self, pdf_file, job_title, spool_dir)

source code

Wrap around the actual print action (`self._do_print`) with gevent.spawn().

Parameters:
  - `pdf_file` (`str`) - PDF file name as placed in to the X2Go spool directory
  - `job_title` (`str`) - human readable print job title
  - `spool_dir` (`str`) - location of the X2Go client's spool directory

Property Details

### name

Return the X2Go print action's name.

Get Method:
  unreachable.name(self) - Return the X2Go print action's name.

### description

Return the X2Go print action's description text.

Get Method:
  unreachable.description(self) - Return the X2Go print action's description text.